%define builtin_release_version 5%{builtin_release_variant}
%define builtin_release_name Tikanga
%define builtin_release_variant Server
%define real_release_version %{?release_version}%{!?release_version:%{builtin_release_version}}
%define real_release_name %{?release_name}%{!?release_name:%{builtin_release_name}}
%define current_arch %{_arch}
%ifarch i386
%define current_arch x86
%endif
Summary: Red Hat Enterprise Linux release notes files
Name: redhat-release-notes
Version: %{real_release_version}
Release: 25
License: GPL
Group: System Environment/Base
Source: redhat-release-notes-%{builtin_release_version}.tar.gz
Obsoletes: indexhtml
BuildRoot: %{_tmppath}/redhat-release-notes-root
Provides: indexhtml
%if %{builtin_release_variant} == Server
ExcludeArch: ppc64 s390
%else
ExcludeArch: ia64 ppc ppc64 s390 s390x
%endif

%description
Red Hat Enterprise Linux release notes files.

%prep
%setup -q -n redhat-release-notes-%{builtin_release_version}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_defaultdocdir}
cp -rf  $RPM_BUILD_DIR/redhat-release-notes-%{builtin_release_version}/HTML $RPM_BUILD_ROOT%{_defaultdocdir}/.
#install -m 644 -d $RPM_BUILD_DIR/redhat-release-notes-%{builtin_release_version}/HTML $RPM_BUILD_ROOT%{_defaultdocdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc %{current_arch}/R*
%{_defaultdocdir}/HTML

%changelog
* Tue Jan 06 2009 Don Domingo <ddomingo@redhat.com> 5-25
- Resolves: BZ477713
- fixed rendering issue for all languages, removed two lines from Legal Notice regarding docs restrictions 

* Mon Jan 05 2009 Don Domingo <ddomingo@redhat.com> 5-24
- Resolves: BZ477713
- contains complete de-DE and it-IT locales

* Tue Dec 23 2008 Don Domingo <ddomingo@redhat.com> 5-23
- Related: BZ454962
- correcting formatting error (weird character appearing in non-breaking spaces of English)

* Wed Dec 17 2008 Don Domingo <ddomingo@redhat.com> 5-22
- Related: BZ466293
- pushing again to correct locale tag on korean

* Wed Dec 17 2008 Don Domingo <ddomingo@redhat.com> 5-21
- Related: BZ466293
- second push for final, includes all locales (some incomplete), build also hopefully addresses bad rpmdiffs

* Tue Dec 16 2008 Don Domingo <ddomingo@redhat.com> 5-20
- Related: BZ466293
- initial push for final, contains most updated English, some incomplete locales, some Indic locales ommitted

* Fri Dec 12 2008 Ryan Lerch <rlerch@redhat.com> 5-19
- Resolves: BZ454962
- Updating English release notes

* Thu Oct 23 2008 Ryan Lerch <rlerch@redhat.com> 5-18
- Resolves: BZ454962
- This one should work.

* Mon Sep 22 2008 Don Domingo <ddomingo@redhat.com> 5-17
- previous build was bad, this one should work
- Resolves: BZ454962

* Fri Sep 19 2008 Don Domingo <ddomingo@redhat.com> 5-16
- initial push to brew, for beta release yo
- Resolves: BZ454962

* Wed May 06 2008 Don Domingo <ddomingo@redhat.com> 5-15
- really final push
- Related: BZ432873

* Tue May 06 2008 Don Domingo <ddomingo@redhat.com> 5-14
- final FINAL push
- Related: BZ432873

* Fri May 02 2008 Don Domingo <ddomingo@redhat.com> 5-13
- final push
- Related: BZ432873

* Thu Apr 03 2008 Don Domingo <ddomingo@redhat.com> 5-12
- snapshot push, as requested
- Related: BZ432873

* Thu Jan 31 2008 Don Domingo <ddomingo@redhat.com> 5-11
- seconds push for RHEl5.2, for Beta (as requested)
- Related: #364371

* Wed Jan 30 2008 Don Domingo <ddomingo@redhat.com> 5-10
- initial push for RHEl5.2, for Beta
- Related: #364371

* Wed Sep 19 2007 Don Domingo <domingo@redhat.com> 5-9
- final push for RHEL5.1, includes a fix for Sinhalese (did not detect before)
- Related: #285121

* Wed Sep 19 2007 Don Domingo <domingo@redhat.com> 5-8
- final push for RHEL5.1 
- Related: #285121

* Fri Jul 13 2007 Don Domingo <domingo@redhat.com> 5-7
- second beta push (listed BZ below just one of many as others would not allow checkin)
- Related: #218798

* Fri Jun 22 2007 Don Domingo <ddomingo@redhat.com> 5-6
- first beta push (listed BZ below just one of many as others would not allow checkin)
- Related: #218798

* Thu Feb 08 2007 Don Domingo <ddomingo@redhat.com> 5-5
- corrected untranslated ML strings
- Related: #207087 #218060 #223423 #223985 #224119

* Thu Feb 08 2007 Don Domingo <ddomingo@redhat.com> 5-4
- remerged Release Notes Updates to distro relnotes and retranslated
- Related: #207087 #218060 #223423 #223985 #224119

* Thu Jan 25 2007 Don Domingo <ddomingo@redhat.com> 5-3
- pushing some fixes for the Indic translations (translated commands and computeroutputs)
- Resolves: BZ#224119 

* Wed Jan 24 2007 Don Domingo <ddomingo@redhat.com> 5-2
- re-translated update notes, now REALLY frozen for GA
- Related: #218798 #219565 #215762 #222737 #218980 #213138 #206173 

* Thu Jan 18 2007 Dennis Gregorovic <dgregor@redhat.com> 5-1
- Bump version number for RC
- Related: #223124

* Thu Jan 18 2007 Don Domingo <ddomingo@redhat.com> 4.92-41
- Related: #220104 #213262 #216364 #217390 #221758 #220241 #217921 #216664 (includes translations, now frozen for GA)

* Fri Jan 05 2007 Don Domingo <ddomingo@redhat.com> 4.92-40
- Related: #206539 #213262 #211197 #210136 #210496 #211618 (last pre-translation)

* Tue Jan 02 2007 Don Domingo <ddomingo@redhat.com> 4.92-39
- Related: #211977, #215096, #213548, #209165

* Fri Dec 22 2006 Don Domingo <ddomingo@redhat.com> 4.92-38
- Resolves: #181691 #200546 #214924 #216086 #218347 #218349 #219849
